/*
 * Elemento.java
 */


/**
 * Representa una de las celdas de las que se compone una pieza en el juego del tetris
 */
public class Elemento {
    private int fila;
    private int columna;
    /** 
     * Constructor
     * @param f fila
     * @param c columna
     */
    public Elemento(int f,int c) {
        fila=f;
        columna=c;
    }
    
    /**
     * Obtiene la fila de este Elemento
     * @return la fila de este Elemento
     */
    public int getFila(){
        return fila;
    }
    
     /**
     * Obtiene la columna de este Elemento
     * @return la columna de este Elemento
     */
    public int getColumna(){
        return columna;
    }
    
    /**
     * Define la fila de este Elemento
     * @param valor el nuevo valor para la fila de este Elemento
     */
    public void setFila(int valor){
        fila=valor;
    }
    
    /**
     * Define la columna de este Elemento
     * @param valor el nuevo valor para la columna de este Elemento
     */    
    public void setColumna(int valor){
        columna=valor;
    }    
}
